incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Mclean <>
Subject Re: Apache SDK to Flash Builder - next steps
Date Tue, 12 Jun 2012 08:36:53 GMT

> Adobe will put heir own effort to work with the new SDK, the same as Intellij, FDT, and
> other IDEs out there. This is, for me, the world upside down...

The packager while initially targeted at FB should also work with all the other IDEs as they
expect the same files/directory structure that FB expects. If you (or anyone else) who uses
 other IDE can please give the packager a go and see if it works. We do want to support all
IDEs not just FB.

We have to do this because software used by the Flex SDK (ie the  Adobe AIR SDK and playerglobal.swc)
can't be legally included in an Apache release. A user friendly AIR app seemed a better way
of doing that than a ant or shell script.

> Adobe *MUST* change Fb to be Apache Flex SDK compliant and not the inverse!
I agree. Which is why I was surprised about that extra FlashBuilder specific XML file being
checked into the SDK the other day.

View raw message